class Conv1d(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  in_channels : int
  out_channels : int
  kernel_size : Tuple[int]
  stride : Tuple[int]
  padding : Tuple[int]
  dilation : Tuple[int]
  transposed : bool
  output_padding : Tuple[int]
  groups : int
  padding_mode : str
  _packed_params : __torch__.torch.classes.quantized.Conv2dPackedParamsBase
  scale : float
  zero_point : int
  def __getstate__(self: __torch__.torch.nn.quantized.modules.conv.Conv1d) -> Tuple[int, int, Tuple[int], Tuple[int], Tuple[int], Tuple[int], bool, Tuple[int], int, str, Tensor, Optional[Tensor], float, int, bool]:
    w, b, = (self)._weight_bias()
    in_channels = self.in_channels
    out_channels = self.out_channels
    kernel_size = self.kernel_size
    stride = self.stride
    padding = self.padding
    dilation = self.dilation
    transposed = self.transposed
    output_padding = self.output_padding
    groups = self.groups
    padding_mode = self.padding_mode
    scale = self.scale
    zero_point = self.zero_point
    training = self.training
    _0 = (in_channels, out_channels, kernel_size, stride, padding, dilation, transposed, output_padding, groups, padding_mode, w, b, scale, zero_point, training)
    return _0
  def __setstate__(self: __torch__.torch.nn.quantized.modules.conv.Conv1d,
    state: Tuple[int, int, Tuple[int], Tuple[int], Tuple[int], Tuple[int], bool, Tuple[int], int, str, Tensor, Optional[Tensor], float, int, bool]) -> NoneType:
    self.in_channels = (state)[0]
    self.out_channels = (state)[1]
    self.kernel_size = (state)[2]
    self.stride = (state)[3]
    self.padding = (state)[4]
    self.dilation = (state)[5]
    self.transposed = (state)[6]
    self.output_padding = (state)[7]
    self.groups = (state)[8]
    self.padding_mode = (state)[9]
    _1 = (self).set_weight_bias((state)[10], (state)[11], )
    self.scale = (state)[12]
    self.zero_point = (state)[13]
    self.training = (state)[14]
    return None
  def _weight_bias(self: __torch__.torch.nn.quantized.modules.conv.Conv1d) -> Tuple[Tensor, Optional[Tensor]]:
    _packed_params = self._packed_params
    w, b = ops.quantized.conv1d_unpack(_packed_params)
    return (w, b)
  def set_weight_bias(self: __torch__.torch.nn.quantized.modules.conv.Conv1d,
    w: Tensor,
    b: Optional[Tensor]) -> NoneType:
    padding_mode = self.padding_mode
    if torch.eq(padding_mode, "zeros"):
      stride = self.stride
      padding = self.padding
      dilation = self.dilation
      groups = self.groups
      _2, = stride
      _3, = padding
      _4, = dilation
      _5 = ops.quantized.conv1d_prepack(w, b, [_2], [_3], [_4], groups)
      self._packed_params = _5
    else:
      stride0 = self.stride
      _6 = [0, 0]
      dilation0 = self.dilation
      groups0 = self.groups
      _7, = stride0
      _8, = dilation0
      _9 = ops.quantized.conv1d_prepack(w, b, [_7], _6, [_8], groups0)
      self._packed_params = _9
    return None
  def forward(self: __torch__.torch.nn.quantized.modules.conv.Conv1d,
    argument_1: Tensor) -> Tensor:
    _packed_params = self._packed_params
    input = ops.quantized.conv1d(argument_1, _packed_params, 1., 0)
    return input
class Conv2d(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  in_channels : int
  out_channels : int
  kernel_size : Tuple[int, int]
  stride : Tuple[int, int]
  padding : Tuple[int, int]
  dilation : Tuple[int, int]
  transposed : bool
  output_padding : Tuple[int, int]
  groups : int
  padding_mode : str
  _packed_params : __torch__.torch.classes.quantized.Conv2dPackedParamsBase
  scale : float
  zero_point : int
  def __getstate__(self: __torch__.torch.nn.quantized.modules.conv.Conv2d) -> Tuple[int, int, Tuple[int, int], Tuple[int, int], Tuple[int, int], Tuple[int, int], bool, Tuple[int, int], int, str, Tensor, Optional[Tensor], float, int, bool]:
    w, b, = (self)._weight_bias()
    in_channels = self.in_channels
    out_channels = self.out_channels
    kernel_size = self.kernel_size
    stride = self.stride
    padding = self.padding
    dilation = self.dilation
    transposed = self.transposed
    output_padding = self.output_padding
    groups = self.groups
    padding_mode = self.padding_mode
    scale = self.scale
    zero_point = self.zero_point
    training = self.training
    _10 = (in_channels, out_channels, kernel_size, stride, padding, dilation, transposed, output_padding, groups, padding_mode, w, b, scale, zero_point, training)
    return _10
  def __setstate__(self: __torch__.torch.nn.quantized.modules.conv.Conv2d,
    state: Tuple[int, int, Tuple[int, int], Tuple[int, int], Tuple[int, int], Tuple[int, int], bool, Tuple[int, int], int, str, Tensor, Optional[Tensor], float, int, bool]) -> NoneType:
    self.in_channels = (state)[0]
    self.out_channels = (state)[1]
    self.kernel_size = (state)[2]
    self.stride = (state)[3]
    self.padding = (state)[4]
    self.dilation = (state)[5]
    self.transposed = (state)[6]
    self.output_padding = (state)[7]
    self.groups = (state)[8]
    self.padding_mode = (state)[9]
    _11 = (self).set_weight_bias((state)[10], (state)[11], )
    self.scale = (state)[12]
    self.zero_point = (state)[13]
    self.training = (state)[14]
    return None
  def _weight_bias(self: __torch__.torch.nn.quantized.modules.conv.Conv2d) -> Tuple[Tensor, Optional[Tensor]]:
    _packed_params = self._packed_params
    return (_packed_params).unpack()
  def set_weight_bias(self: __torch__.torch.nn.quantized.modules.conv.Conv2d,
    w: Tensor,
    b: Optional[Tensor]) -> NoneType:
    padding_mode = self.padding_mode
    if torch.eq(padding_mode, "zeros"):
      stride = self.stride
      padding = self.padding
      dilation = self.dilation
      groups = self.groups
      _12, _13, = stride
      _14 = [_12, _13]
      _15, _16, = padding
      _17 = [_15, _16]
      _18, _19, = dilation
      _20 = ops.quantized.conv2d_prepack(w, b, _14, _17, [_18, _19], groups)
      self._packed_params = _20
    else:
      stride1 = self.stride
      _21 = [0, 0]
      dilation1 = self.dilation
      groups1 = self.groups
      _22, _23, = stride1
      _24 = [_22, _23]
      _25, _26, = dilation1
      _27 = ops.quantized.conv2d_prepack(w, b, _24, _21, [_25, _26], groups1)
      self._packed_params = _27
    return None
  def forward(self: __torch__.torch.nn.quantized.modules.conv.Conv2d,
    argument_1: Tensor) -> Tensor:
    _packed_params = self._packed_params
    input = ops.quantized.conv2d(argument_1, _packed_params, 1., 0)
    return input
class Conv3d(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  in_channels : int
  out_channels : int
  kernel_size : Tuple[int, int, int]
  stride : Tuple[int, int, int]
  padding : Tuple[int, int, int]
  dilation : Tuple[int, int, int]
  transposed : bool
  output_padding : Tuple[int, int, int]
  groups : int
  padding_mode : str
  _packed_params : __torch__.torch.classes.quantized.Conv3dPackedParamsBase
  scale : float
  zero_point : int
  def __getstate__(self: __torch__.torch.nn.quantized.modules.conv.Conv3d) -> Tuple[int, int, Tuple[int, int, int], Tuple[int, int, int], Tuple[int, int, int], Tuple[int, int, int], bool, Tuple[int, int, int], int, str, Tensor, Optional[Tensor], float, int, bool]:
    w, b, = (self)._weight_bias()
    in_channels = self.in_channels
    out_channels = self.out_channels
    kernel_size = self.kernel_size
    stride = self.stride
    padding = self.padding
    dilation = self.dilation
    transposed = self.transposed
    output_padding = self.output_padding
    groups = self.groups
    padding_mode = self.padding_mode
    scale = self.scale
    zero_point = self.zero_point
    training = self.training
    _28 = (in_channels, out_channels, kernel_size, stride, padding, dilation, transposed, output_padding, groups, padding_mode, w, b, scale, zero_point, training)
    return _28
  def __setstate__(self: __torch__.torch.nn.quantized.modules.conv.Conv3d,
    state: Tuple[int, int, Tuple[int, int, int], Tuple[int, int, int], Tuple[int, int, int], Tuple[int, int, int], bool, Tuple[int, int, int], int, str, Tensor, Optional[Tensor], float, int, bool]) -> NoneType:
    self.in_channels = (state)[0]
    self.out_channels = (state)[1]
    self.kernel_size = (state)[2]
    self.stride = (state)[3]
    self.padding = (state)[4]
    self.dilation = (state)[5]
    self.transposed = (state)[6]
    self.output_padding = (state)[7]
    self.groups = (state)[8]
    self.padding_mode = (state)[9]
    _29 = (self).set_weight_bias((state)[10], (state)[11], )
    self.scale = (state)[12]
    self.zero_point = (state)[13]
    self.training = (state)[14]
    return None
  def _weight_bias(self: __torch__.torch.nn.quantized.modules.conv.Conv3d) -> Tuple[Tensor, Optional[Tensor]]:
    _packed_params = self._packed_params
    return (_packed_params).unpack()
  def set_weight_bias(self: __torch__.torch.nn.quantized.modules.conv.Conv3d,
    w: Tensor,
    b: Optional[Tensor]) -> NoneType:
    padding_mode = self.padding_mode
    if torch.eq(padding_mode, "zeros"):
      stride = self.stride
      padding = self.padding
      dilation = self.dilation
      groups = self.groups
      _30, _31, _32, = stride
      _33 = [_30, _31, _32]
      _34, _35, _36, = padding
      _37 = [_34, _35, _36]
      _38, _39, _40, = dilation
      _41 = ops.quantized.conv3d_prepack(w, b, _33, _37, [_38, _39, _40], groups)
      self._packed_params = _41
    else:
      stride2 = self.stride
      _42 = [0, 0, 0]
      dilation2 = self.dilation
      groups2 = self.groups
      _43, _44, _45, = stride2
      _46 = [_43, _44, _45]
      _47, _48, _49, = dilation2
      _50 = ops.quantized.conv3d_prepack(w, b, _46, _42, [_47, _48, _49], groups2)
      self._packed_params = _50
    return None
  def forward(self: __torch__.torch.nn.quantized.modules.conv.Conv3d,
    argument_1: Tensor) -> Tensor:
    _packed_params = self._packed_params
    input = ops.quantized.conv3d(argument_1, _packed_params, 1., 0)
    return input
